$(function(){
  var Gtotal=0
  $(".pro_buymin").click(function()
  {
	var id,obj,num
	id=$(this).attr("rel");
	obj=$("[name='amount"+id+"']")
	num=parseInt(obj.val())-1
	if(num<1)return false;
	$.get("/"+sitePath+"inc/ajax.asp",{action:"CartEdit",id:id,num:num,ran:Math.random()},function(bool){if(bool){
		obj.val(num);$("#Total"+id).html(parseInt($("#price"+id).html())*num);
		Gtotal=parseInt($("#total").html())-parseInt($("#price"+id).html())
		$("#total").html(Gtotal)
	}});
  });
  $(".pro_buyadd").click(function()
  {
	var id,obj,num
	id=$(this).attr("rel");
	obj=$("[name='amount"+id+"']")
	num=parseInt(obj.val())+1
	$.get("/"+sitePath+"inc/ajax.asp",{action:"CartEdit",id:id,num:num,ran:Math.random()},function(bool){if(bool){obj.val(num);
	$("#Total"+id).html(parseInt($("#price"+id).html())*num);
	Gtotal=parseInt($("#total").html())+parseInt($("#price"+id).html())
	$("#total").html(Gtotal)}});
  });
  $(".pro_buy6 .del").click(function()
  {
	var id,obj=$(this)
	id=parseInt(obj.attr("rel"));
	$.get("/"+sitePath+"inc/ajax.asp",{action:"CartDel",id:id,ran:Math.random()},function(bool){if(bool){obj.parent().parent().parent().fadeOut();
	Gtotal=Gtotal-(parseInt($("#Total"+id).html()))
	$("#total").html(Gtotal)
	}});
  });
  $(".amount").blur(function(){
	var id=parseInt($(this).attr("rel")),num=parseInt($(this).val())
	$.get("/"+sitePath+"inc/ajax.asp",{action:"CartEdit",id:id,num:num,ran:Math.random()},function(){
		var total=parseInt($("#price"+id).html())*num
		Gtotal=Gtotal-(parseInt($("#Total"+id).html()))+total
		$("#total").html(Gtotal)
		$("#Total"+id).html(total);
		
		});
  })
  $(".amount").each(function()
  {
	var id=parseInt($(this).attr("rel")),total=parseInt($("#price"+id).html())*$(this).val()
	$("#Total"+id).html(total)
	Gtotal=Gtotal+total
  });
  $("#total").html(Gtotal)
})